Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.slide.common
Class Slide

    java.lang.Object
      NotificationBroadcasterSupport
          org.apache.slide.common.Slide

All Implemented Interfaces:
  SlideMBean

public final class Slide
extends NotificationBroadcasterSupport
implements SlideMBean

Implementation of the Slide JMX MBean.

Version:
  $Revision: 1.11 $
See Also:
  Serialized Form

Field Summary

Fields inherited from interface org.apache.slide.common.SlideMBean
`NAME, OBJECT_NAME, STARTED, STARTING, states, STOPPED, STOPPING`

Constructor Summary
`Slide()`

Method Summary
`DomainAccessToken` | `accessDomain(SecurityToken token)` Access a Domain.
`NamespaceAccessToken` | `accessNamespace(SecurityToken token, java.lang.String namespaceName)` Access a Namespace.
`void` | `closeNamespace(NamespaceAccessToken token)` Close a namespace.
`void` | `closeNamespace(SecurityToken token, java.lang.String namespaceName)` Clsose a namespace.
`void` | `destroy()` Destroy domain.
`java.lang.String` | `getName()` Retruns the Slide component name.
`int` | `getState()` Returns the state of the Slide domain.
`java.lang.String` | `getStateString()` Returns a String representation of the domain's state.
`void` | `init()` Auto initializes domain.
`void` | `init(java.lang.String configFile)` Initializes domain, and specify a configuration file to use.
`void` | `postDeregister()`
`void` | `postRegister(java.lang.Boolean registrationDone)`
`void` | `preDeregister()`
`ObjectName` | `preRegister(MBeanServer server, ObjectName name)`
`void` | `start()` Start the domain.
`void` | `stop()` Close all access tokens to the domain.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Slide

    public Slide()

Method Detail

### preRegister

    public ObjectName preRegister(MBeanServer server,
                                  ObjectName name)
                           throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### postRegister

    public void postRegister(java.lang.Boolean registrationDone)

### preDeregister

    public void preDeregister()
                       throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### postDeregister

    public void postDeregister()

### getName

    public java.lang.String getName()

  Retruns the Slide component name.

  Specified by:
    `getName` in interface `SlideMBean`

### getState

    public int getState()

  Returns the state of the Slide domain.

  Specified by:
    `getState` in interface `SlideMBean`

### getStateString

    public java.lang.String getStateString()

  Returns a String representation of the domain's state.

  Specified by:
    `getStateString` in interface `SlideMBean`

### init

    public void init()
              throws java.lang.Exception

  Auto initializes domain.

  Specified by:
    `init` in interface `SlideMBean`
  Throws:
    `java.lang.Exception`

### init

    public void init(java.lang.String configFile)
              throws java.lang.Exception

  Initializes domain, and specify a configuration file to use.

  Specified by:
    `init` in interface `SlideMBean`
  Throws:
    `java.lang.Exception`

### start

    public void start()
               throws java.lang.Exception

  Start the domain.

  Specified by:
    `start` in interface `SlideMBean`
  Throws:
    `java.lang.Exception`

### stop

    public void stop()

  Close all access tokens to the domain.

  Specified by:
    `stop` in interface `SlideMBean`

### destroy

    public void destroy()

  Destroy domain.

  Specified by:
    `destroy` in interface `SlideMBean`

### accessNamespace

    public NamespaceAccessToken accessNamespace(SecurityToken token,
                                                java.lang.String namespaceName)

  Access a Namespace.

  Specified by:
    `accessNamespace` in interface `SlideMBean`
  Parameters:
    `token` - Entity which wants access
    `namespaceName` - Name of the namespace on which access is requested
  Returns:
    NamespaceAccessToken Access token to the namespace

### closeNamespace

    public void closeNamespace(NamespaceAccessToken token)

  Close a namespace.

  Specified by:
    `closeNamespace` in interface `SlideMBean`
  Parameters:
    `token` - Namespace access token

### closeNamespace

    public void closeNamespace(SecurityToken token,
                               java.lang.String namespaceName)

  Clsose a namespace.

  Specified by:
    `closeNamespace` in interface `SlideMBean`
  Parameters:
    `token` - Entity which wants to close the namespace
    `namespaceName` - Name of the namespace

### accessDomain

    public DomainAccessToken accessDomain(SecurityToken token)

  Access a Domain.

  Specified by:
    `accessDomain` in interface `SlideMBean`
  Parameters:
    `token` - Service who wants access
  Returns:
    DomainAccessToken Access token to the domain

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD